Subject: RE: ASM-like SSM [Re: mboned: updated MBONED agenda for IETF 61]

From: <[email-masked]>
Date: Mon, 8 Nov 2004 16:50:38 +0200

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Pekka Savola
>
> On Mon, 8 Nov 2004, Hoerdt Mickael wrote:
> > I am happy to see that multi-source SSM session layering is still a 
> > potential working topic at the IETF. I continued my work, 
> but mainly 
> > on the implementation (the API changed) and finally named the very 
> > simple protocol that I presented here more than one year ago : 
> > Source Specific Multicast Source Discovery Protocol (SSMSDP). It 
> > still uses a shared SSM tree to signal new channels presents in the 
> > session. Source announcements toward the root of the tree can use 
> > TCP or UDP (see the API doc), but are not MSDP formated as in Rami 
> > lethonen work.
> 
> What's more, using SSMSDP approach likely avoids the IPR concerns 
> about a patent application on mroutessm-01.
> 
> The problem here is about where the work can move forward.  multissm 
> could be done here, which is why some might see it more feasible; an 
> application effort might get more resistance from app folks, while it 
> might be in some other ways a better approach.

While the multissm work can be done also totally on the application layer, it is important to notice that network level (RP like) support is needed in some cases to guarantee availability and redundancy for the source discovery. This makes the standardisation of host level source discovery important.

Still there are many common goals/ideas with Mickael's source discovery and multissm, so perhaps we should look for one common solution for the end-host source discovery.

- Rami

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/